#!/usr/bin/env bash

if [ "$USER" -e "etu" ]; then
	echo "Please run this script with user `etu` instead."
    exit
fi

echo "Setting keyboard to bepo (shift-left+shift-right to go back to azerty"
echo 'setxkbmap -layout "fr,fr" -variant bepo, -option "grp:shifts_toggle"' >> /home/etu/.bashrc
. /home/etu/.bashrc

echo "Installing some usefull softwares"
sudo apt install ripgrep fd-find git vim byobu vim-syntastic xclip -y

echo "Adding some aliases"
sudo cat "alias fd='fdfind'" >> /root/.bashrc

echo "Cloning git repository"
git clone https://git.flavien.ovh/louis_royer/tp --depth 1

echo "Installing .vimrc for root"
sudo cp tp/vim/vimrc /root/.vimrc
sudo cp tp/vim/vimrc.bepo /root/.vimrc.bepo
sudo chown root:root /root/.vimrc*

echo "Installing .vimrc for etu"
sudo cp tp/vim/vimrc /home/etu/.vimrc
sudo cp tp/vim/vimrc.bepo /home/etu/.vimrc.bepo
sudo chown etu:etu /home/etu/.vimrc*

echo "End for installation, lets begin your work!"
echo "run \`source ~/.bashrc\`"

